# Uses of Interface
org.eclipse.team.core.IStringMapping

Packages that use IStringMapping
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.

## Uses of IStringMapping in org.eclipse.team.core

Methods in org.eclipse.team.core that return IStringMapping
Modifier and Type
Method
Description
`IStringMapping[]`
IFileContentManager.`getDefaultExtensionMappings()`
Get all the plugin-contributed mappings from file extensions to content types.
`IStringMapping[]`
IFileContentManager.`getDefaultNameMappings()`
Get all the plugin-contributed mappings from file names to content types.
`IStringMapping[]`
IFileContentManager.`getExtensionMappings()`
Get all the currently defined mappings from file names to content types.
`IStringMapping[]`
IFileContentManager.`getNameMappings()`
Get all the currently defined mappings from file names to content types.